package com.cool.store.dto.huoma;

import com.cool.store.utils.BrowserVersionUtils;
import lombok.Data;

import java.util.Objects;

/**
 * @Author: WangShuo
 * @Date: 2025/08/13/16:24
 * @Version 1.0
 * @注释:
 */
@Data
public class StoreEquipmentDTO {
    /**
     * 已授权登录数
    */
    private Integer activeCount;

    /**
     * 总设备
    */
    private Integer terminalCount;

    /**
     * 网点ID
    */
    private Integer pointId;

    /**
     * 网点号
    */
    private String pointCode;

    /**
     * 签到数
    */
    private Integer signCount;

    /**
     * 在线
    */

    private Integer connectCount;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        StoreEquipmentDTO that = (StoreEquipmentDTO) o;
        return Objects.equals(pointCode, that.pointCode);
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(pointCode);
    }
}
